aboutsummaryrefslogtreecommitdiffstats
path: root/deployment/heat/onap-oom/scripts
diff options
context:
space:
mode:
authorMarco Platania <platania@research.att.com>2018-10-04 17:59:57 -0400
committerMarco Platania <platania@research.att.com>2018-10-04 17:59:57 -0400
commitf3348ff68d591a9f6a432b269bc329c773498599 (patch)
tree635476c1ff4936c1b1cc891b9c03e6bb58abdb33 /deployment/heat/onap-oom/scripts
parent711de8d50e8ad85ae931a9afe032be4097ed00a0 (diff)
Cleanup Helm leftover
- Script that cleans up resources that Helm may leave behind Change-Id: If0fcefa28eb6af0a5b51bbe8672bfcc7a34a4c45 Issue-ID: INT-586 Signed-off-by: Marco Platania <platania@research.att.com>
Diffstat (limited to 'deployment/heat/onap-oom/scripts')
-rw-r--r--deployment/heat/onap-oom/scripts/cleanup.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/deployment/heat/onap-oom/scripts/cleanup.sh b/deployment/heat/onap-oom/scripts/cleanup.sh
new file mode 100644
index 000000000..03bcd170e
--- /dev/null
+++ b/deployment/heat/onap-oom/scripts/cleanup.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+IFS='
+'
+
+if [ -z $1 ]; then
+ echo "ONAP component name missing"
+ echo "Usage: ./cleanup.sh ONAP_COMPONENT_NAME"
+ exit 1
+fi
+
+COMPONENT=$1
+
+if [ $COMPONENT == "dcae" ] || [ $COMPONENT == "DCAE" ]; then
+ kubectl delete service consul -n onap
+fi
+
+for op in secrets configmaps pv services deployments statefulsets; do
+ ARRAY=(`kubectl get $op -n onap | grep $COMPONENT | awk '{print $1}'`)
+ for i in ${ARRAY[*]}; do
+ kubectl delete $op -n onap $i
+ done
+done